package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.RechargeRecordWater;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface RechargeRecordWaterService {
	RechargeRecordWater get(String id);
	boolean exist(String id);
	int insert(RechargeRecordWater model);
	int update(RechargeRecordWater model);
	int delete(String id);
	RechargeRecordWater getBySerialNum(String erialNum);
	List<RechargeRecordWater> list();
	Page<RechargeRecordWater> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
	Page<RechargeRecordWater> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize, boolean count, List<Sort> sortList);
}